Create Shared Options (batch)
POST
https://api.bigcommerce.com/stores/store_hash/v3/catalog/shared-product-options
Create shared options in bulk.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Request
This endpoint expects a list of objects.
namestringRequired
1-255 charactersThe unique name identifying the shared option in the control panel. Name is unique within a store.
storefront_namestringRequired
1-255 charactersThe text display identifying the shared option on the storefront.
typeenumRequired
Type of shared option.
Each type has a unique display style on the storefront.
For an explanation of each type, see the Overview.
Allowed values:
valueslist of objectsOptional
Data describing option values.
Response
An array of SharedProductOption objects.
datalist of objects
metaobject
Data about the response, including pagination and collection totals.
Errors
422
Unprocessable Entity Error